Skip to content

Get the ID list of department members directly under the department ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the ID list of department members directly under the department through organization code and department ID.

Method name ​

ManagementClient.list_department_member_ids

Request parameters ​

NameTypeIs it required?Default valueDescriptionSample value
organizationCodestringyes-Organization codesteamory
departmentIdstringyes-Department ID, root department passed rootroot
departmentIdTypestringnodepartment_idType of department ID used in this calldepartment_id
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response ​

Type: UserIdListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data Structure ​